use std::io::{self, stdin, stdout, BufRead, Write};

use lcd::Lcd;

mod lcd;

fn main() -> io::Result<()> {
    let mut lcd = Lcd::new()?;
    loop {
        print!("> ");
        stdout().lock().flush()?;
        let mut line = String::new();
        stdin().lock().read_line(&mut line)?;
        if line.starts_with("clear") {
            lcd.clear()?;
            lcd.set_cursor(0, 0)?;
        } else if line.starts_with("print") {
            lcd.write(&line[6..])?;
        } else {
            println!("unrecognized command \"{line}\"");
        }
    }
}
